com.intellectualcrafters.plot.uuid

## Class NameFetcher

- java.lang.Object
- - com.intellectualcrafters.plot.uuid.NameFetcher

- All Implemented Interfaces:
    java.util.concurrent.Callable<java.util.Map<java.util.UUID,java.lang.String>>

      public class NameFetcher
      extends java.lang.Object
      implements java.util.concurrent.Callable<java.util.Map<java.util.UUID,java.lang.String>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameFetcher(java.util.List<java.util.UUID> uuids)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.util.UUID,java.lang.String>` | `call()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameFetcher

          public NameFetcher(java.util.List<java.util.UUID> uuids)

  - ### Method Detail

    - #### call

          public java.util.Map<java.util.UUID,java.lang.String> call()
                                                              throws java.lang.Exception

      Specified by:
        `call` in interface `java.util.concurrent.Callable<java.util.Map<java.util.UUID,java.lang.String>>`
      Throws:
        `java.lang.Exception`